FROM node:14

ARG TIMEZONE=Europe/Berlin

RUN unlink /etc/localtime && ln -s /usr/share/zoneinfo/${TIMEZONE} /etc/localtime
RUN dpkg-reconfigure -f noninteractive tzdata


RUN apt-get -qq update \
 && apt-get -qq install --no-install-recommends --no-install-suggests -y \
    fontforge ttfautohint \
 && apt-get autoremove -y \
 && apt-get clean -y

RUN npm install -g gulp-cli grunt-cli dart-sass \
 && npm install -g --unsafe-perm node-sass@5
